* 2024-01-05 11.2.4
  add mode ha-status for Palo Alto
* 2023-12-16 11.2.3
  add perfdata for the mode interface-nat-rejects
* 2023-12-16 11.2.2.1
  fix Makefile.am and git add the cisco and arista pm files which i had forgotten
* 2023-11-30 11.2.2
  add mode interface-errdisabled (Cisco and Arista only)
* 2023-11-15 11.2.1.2
  require, not use Net::Ping for F5 checks
* 2023-10-27 11.2.1.1
  drecksmacoctetbinaerschlonz
* 2023-10-27 11.2.1
  add mode list-arp-cache
* 2023-10-06 11.2.0.4
  PR #324, detect Ivanti devices (formerly identifying themselves as Pulse Secure). Thx c-kr
* 2023-09-29 11.2.0.3
  show vlans only on demand, --report short+vlan
* 2023-09-15 11.2.0.2
  more runtime reduction for huawei, cpu and mem
* 2023-09-15 11.2.0.1
  suppress output of empty vlans
* 2023-09-15 11.2
  cache huawei entities to avoid hitting the device's snmp rate limit
  cache vlan configs
* 2023-09-14 11.1
  show vlans with interface-status
* 2023-07-27 11.0.1.1
  C9800 fix
  PR #318 from lgmu, typo in --lookup vs. --lookback
* 2023-07-27 11.0.1
  support new C9800 wlan controller
* 2023-07-25 11.0
  new structure suitble for epn
* 2023-07-25 10.13.1
  reduce amount of data in cisco fru
* 2023-07-10 10.13.0.1
  bugfix in traffic thresholds, do not use warning/critical def. thresholds
* 2023-07-10 10.13
  implement traffic thresholds for interface-usage, correctly calc the less-than perfdata thresholds.
* 2023-06-12 10.12.1.8
  reduce runtime for HOST-RESOURCES-MIB disk and device tables
* 2023-06-12 10.12.1.7
  don't walk cefcFRUPowerSupplyGroupTable, it's unused anyway
* 2023-05-28 10.12.1.6
  PR 310/311 for Fortigte HW
* 2023-05-12 10.12.1.5
  bugfix in bluecat productname detection
  update glplugin (another epn fix, ::pluginname, ::plugin)
* 2023-05-11 10.12.1.4
  update glplugin (another epn fix)
* 2023-05-04 10.12.1.3
  bugfix in Huawei Wlan Controller (just a perl warning, not serious)
  these recent perl warnings appeared after i heavily used the
  embedded perl feature of mod-gearman. it is much more strict than
  running the plugin as a standalone process)
* 2023-05-02 10.12.1.2
  bugfix in Pulse Secure (just a perl warning, not serious)
* 2023-04-21 10.12.1.1
  bugfix in Huawei bgp modes (just a perl warning, not serious)
* 2023-04-20 10.12.1
  add a cluster-check for cisco sdwan
* 2023-04-20 10.12
  reduced runtime and amount of transferred data for bgp-related checks
* 2023-04-03 10.11.0.2
  reduce runtime in Huwaei accesspoint modes
* 2023-03-29 10.11.0.1
  bugfix in Huawei hardware-health. Discard temperatures of 2147483647 deg.
* 2023-03-28 10.11
  improve Huawei hardware-health
* 2023-03-20 10.10
  add filters to sdwan-check (name=dstip,name2=localcolor)
* 2023-03-10 10.9.1.3
  bugfix in Cisco Envmon notfunctioning
* 2023-03-08 10.9.1.2
  bugfix again, exists plus defined
* 2023-03-08 10.9.1.1
  bugfix in CISCO-ENVMON-MIB temperature (catch "notPresent")
* 2023-02-23 10.9.1
  bugfix in Checkpoint Management-Status
* 2023-02-23 10.9
  bugfix in Versa Peersubsystem
  prepare some cisco sdwan stuff
* 2023-02-20 10.8.0.3
  tweak huawei Entity-Table snmp parameters
* 2023-02-03 10.8.0.2
  force interface-vlan-count-macs to cache vlans
* 2023-02-03 10.8.0.1
  fix an undef in interface-vlan-count-macs
* 2023-02-03 10.8
  add mode interface-vlan-count-macs
* 2023-01-19 10.7.1
  tune snmp maxreps for bgp
* 2023-01-19 10.7
  rewrite detection of Juniper
* 2023-01-11 10.6.1
  pull request 304 improves ios hardware checks (thanks dhoffend)
* 2023-01-10 10.6
  add support for Viptela
* 2022-12-16 10.5.1
  bugfix in Cisco WLC, skip unused mobile stations
* 2022-10-09 10.5
  add a temporary check for Cisco Viptela SDWAN (not for public use yet, sorry)
* 2022-10-08 10.4
  add Huawei wlan controller (not finished yet)
* 2022-10-08 10.3.0.3
  improve arista power supply/cord status checks
* 2022-09-27 10.3.0.2
  fix an uninitialized value in Arista HW check
* 2022-09-20 10.3.0.1
  fix issue #231, thanks log1-c
* 2022-07-29 10.3
  add mode check-rtt (cisco-rttmon-mib slas)
* 2022-07-21 10.2.1
  increase cpu thresholds for linux, separate user/system/etc from iowait
* 2022-07-20 10.2
  update glplugin, better get_table fallback handling
* 2022-05-05 10.1.0.3
  fix a pull-request. Und das war damit auch der letzte Pull-Request, den ich in meinem Leben angenommen habe.
* 2022-05-04 10.1.0.2
  use JSON::XS in Interface.pm to avoid misleading UNKNOWN error message
* 2022-02-23 10.1.0.1
  suppress unknown arista sensors which are not marked as faulty
* 2022-02-18 10.1
  check filesystems in Arista (full Log/Core stops syslog and accounting)
  accept disabled sensors
* 2022-01-13 10.0.0.3
  bugfix in arista power supply
* 2022-01-07 10.0.0.2
  bugfix in f5 ltm detail output
* 2021-11-22 10.0.0.1
  tweak barracuda hardware-health snmp parameters
* 2021-11-16 10.0
  use json for temporary files
* 2021-10-13 9.1
  add Pulse Secure
* 2021-10-08 9.0.1.2
  update git with latest cisco license gedoens
* 2021-09-21 9.0.1.1
  remove broken line from Makefile.am
* 2021-09-08 9.0.1
  improve cisco license checks
* 2021-09-01 9.0
  add Versa Appliance, add HP Aruba
* 2021-08-24 8.5.0.1
  tweak barracuda snmp params for interface/route checks
* 2021-07-27 8.5
  improve Barracuda cluster-check
* 2021-06-30 8.4
  add bgp for huawei
* 2021-06-16 8.3.3.3
  bugfix in UCD-MIB memory
* 2021-05-31 8.3.3.2
  bugfix in IOS cpu-load for very old models without CISCO-PROCESS-MIB
* 2021-05-31 8.3.3.1
  bugfix in f5 memory-usage, correct negative values
* 2021-05-20 8.3.3
  Add vpn sessions for Fortigate PR #279
* 2021-05-18 8.3.2.4
  optimize etherlike and rmon walks
* 2021-05-12 8.3.2.3
  save bgp peer local addresses and show them in the error case
* 2021-04-29 8.3.2.2
  Blacklist storage device "junosprocfs" on JunOS (Juniper) devices PR #278
* 2021-04-15 8.3.2.1
  bugfix in f5 cpu-load, correct negative values
* 2021-03-23 8.3.2
  query LM-SENSORS-MIB only if it exists on Linux (it may hang even if not existing)
* 2021-03-19 8.3.1.2
  bugfix in CISCO-ENTITY-SENSOR-MIB. Scale values correctly.
* 2021-03-02 8.3.1.1
  bugfix in interface-stack-status (triggered when --name did not match)
* 2021-02-12 8.3.1
  add mode license-status for cisco
* 2021-02-08 8.3
  split Bluecat in AddressManager and DnsDhcpServer
* 2021-01-28 8.2.0.2
  do not use cpmCPUMemoryHCCommitted, except if you want mem usage > 100%
* 2021-01-27 8.2.0.1
  check the memory of all members in a cisco stack only if there are > 1 members
* 2021-01-22 8.2
  check the memory of all members in a cisco stack
* 2021-01-18 8.1.0.1
  bugfix in Bluecat jvm
* 2021-01-18 8.1
  add Bluecat Address Manager
* 2021-01-13 8.0.0.2
  bugfix in HOST-RESOURCE-MIB memory (Arista triggered)
  bugfix in CISCO-ENVMON-MIB, temperatures > 200
* 2021-01-13 8.0.0.1
  bugfix in arista bgp, mitigate admin down
* 2020-10-22 8.0
  broadcast traffic is now shown as percentage of the overall traffic (...broadcast_in) and percentage of the available bandwitdth (..._broadcast_usage_in).
  errors and discards are now calculated as percentage of all received/sent packets.
  TenGig-VRF-MPLS-Dingsbums without errors and discard metrics are no longer treated as StackSubs.
* 2020-10-12 7.13
  add Vormetric Appliance
* 2020-09-18 7.12.2
  add some exceptions to hrDeviceDiskStorage and hrDeviceNetwork
* 2020-09-08 7.12.1.3
  fix a bug in mode count-routes, update glplugin
* 2020-07-13 7.12.1.2
  improve output for connect-vips
* 2020-07-13 7.12.1.1
  bugfix in UCD-MIB swap
* 2020-07-10 7.12.1
  try to fallback to ucd if neither sysUptime nor sysDescr exist
* 2020-06-04 7.12
  add mode watch-vips and connect-vips for F5
* 2020-06-02 7.11.1
  check the number of nodes in a Fortigate cluster
* 2020-05-21 7.11
  add bgp4 modes for arista, use 2nd context for cisco bgp4
* 2020-05-19 7.10.4.1
  fix a typo
* 2020-05-05 7.10.4
  check increase of sessions for Cisco
  (detect freeze with  --mode vpn-sessions --criticalx sessions_per_sec=0.001:)
  add AVM 7580
* 2020-03-20 7.10.3
  add mode vpn-sessions (IOS and ASA)
* 2020-03-16 7.10.2.1
  blacklist nfs-mounts in hrDeviceDiskStorage
* 2020-03-10 7.10.2
  fix HP Aruba checks, add nore from ENTITY-SENSOR-MIB
* 2020-02-20 7.10.1.9
  fix a bug in interface-etherstats for OLD-CISCO-INTERFACES-MIB
* 2020-01-21 7.10.1.8
  fix a bug in Cisco memory, for Cisco emulation mode of Bel VPN Gate
* 2020-01-18 7.10.1.7
  issue #229 fix redundant argument in sprintf
  issue #228 fix operstatus in linuxlocal
* 2020-01-16 7.10.1.6
  fix a bug in verbose mode if --nosensors is used
* 2019-12-06 7.10.1.5
  update GLPlugin, reduce default maxrepetitions to 20
* 2019-12-05 7.10.1.4
  reduce maxrepetitions for f5 sysCpuTable and ifTables
* 2019-12-04 7.10.1.3
  add --nosensors which skips endless entSensor[Threshold]Table for Nexuses
* 2019-11-25 7.10.1.2
  fix a division by 0 for cisco reserved memory
* 2019-10-07 7.10.1.1
  fix a bug in cisco wlan accesspoint-modes (InetAddrType)
* 2019-10-04 7.10.1
  add session-usage for palo alto
* 2019-08-30 7.10.0.7
  update glplugin, more nexus hardware-health improvements
* 2019-08-29 7.10.0.6
  reduce runtime for nexus hardware-health
* 2019-08-20 7.10.0.5
  fix EIGRP filtering
* 2019-07-29 7.10.0.4.1
  fix a bug in fortigate ha-role
* 2019-07-22 7.10.0.4
  fix a bug in interface-uptime
* 2019-07-19 7.10.0.3
  fix a bug in interface-uptime
* 2019-07-07 7.10.0.2
  fix a bug in mode ha-role for Fortigate
* 2019-06-25 7.10.0.1
  fix a bug in bgp/route modes for the non-standalone version (InetAddressMaker)
* 2019-06-21 7.10
  remove duplicate routes (ip-table + inet-table)
  --report long+address shows ip addresses for interfaces
* 2019-06-14 7.9.0.4
  finish barracuda ha-role mode
* 2019-06-14 7.9.0.3
  detect f5 firmware versions 14+
* 2019-06-12 7.9.0.2
  fix routes. inetCidrRouteTable does not really replace ipCidrRouteTable
* 2019-06-12 7.9.0.1
  fallback to BGP4-MIB if CISCO-BGP4-MIB is incomplete
* 2019-06-11 7.9
  add EIGRP
  fix ASA user/connection/session-count
* 2019-06-05 7.8
  GLPLugin with better ip4/ip6 handling
  fix huawei subclasses
  interfaces --name filter expression can contain _adminup_ as a secondary
  filter
  route modes can handle v6
  use OSPFV3-MIB, support v6
  add CISCO-BGP4-MIB, support v6
* 2019-04-12 7.7
  add Barracuda
* 2019-04-12 7.6.1
  add mode count-connections for F5
* 2019-03-20 7.6
  add mode watch-ospf-neighbors
* 2019-02-19 7.5.0.1
  remove adsl-line-mib
* 2019-02-18 7.5
  add Draytek Vigor
* 2019-01-09 7.4.3
  add mode interface-security (cisco)
* 2018-12-17 7.4.2.1
  finish ha-status for cisco wlc
* 2018-12-12 7.4.2
  start ha for cisco wlc
  improve paloalto uptime model string
  improve ucd memory
* 2018-12-04 7.4.1.2
  fix cisco bgp for routers which do not export the proptietary mib, but bgp4
* 2018-12-04 7.4.1.1
  fix undefs for Huawei with older Mibs
  fix fortigate sensors
* 2018-12-04 7.4.1
  detect more Huawei devices
* 2018-12-03 7.4
  use proprietary bgp mib for cisco (and add ipv6)
  make ospd v6-ready
  add servertpe generic_ucd
  fix ciscoipsecflow fail timestamps
* 2018-10-22 7.3.1
  add modes ha-status/role for fortigate
* 2018-10-22 7.3.0.5
  update glplugin (CISCO-STACKWISE-MIB)
* 2018-10-21 7.3.0.4
  update glplugin (for go-worker)
* 2018-10-17 7.3.0.3
  update glplugin
  better fortigate detection
* 2018-09-28 7.3.0.2
  update glplugin
* 2018-09-25 7.3.0.1
  re-enable Huawei CloudEngine support
* 2018-09-10 7.3
  update stack-status
  add servertype hostresource
  update cisco vpn-status
* 2018-08-13 7.2.0.2
  bugfix in interface-modes where --name3 found no match
* 2018-08-10 7.2.0.1
  bugfix in ios ha-status, ignore cable "failover" description
* 2018-08-01 7.2
  add packet forwarding engine metrics for juniper standby nodes
* 2018-07-26 7.1
  add custom thresholds for cisco ccm
  detect fritzbox 7490
* 2018-07-13 7.0.2
  add interface-uptime
 2018-07-05 7.0.1.6
  fix a bug in non-map FabOS memory
  set thresholds to 100% for cisco asa heapcache memory-usage
* 2018-06-18 7.0.1.5
  update glplugin (get_snmp_table_objects waja fix)
* 2018-05-05 7.0.1.4
  simplify the cisco memory exceptions
* 2018-04-29 7.0.1.3
  bugfix in cisco global shared memory > 9.3.2
* 2018-03-31 7.0.1.2
  fix a bug in link-aggregation-availability
* 2018-03-13 7.0.1.1
  fix a bug in cisco enhanced mempool mib and posixmem (thx sabedevops)
* 2018-03-07 7.0.1
  improve f5, add ha-role, check-config, count-connections
* 2018-03-01 7.0.0.7
  update GLPlugin
* 2018-02-26 7.0.0.6
  ignore free space of iso mounts in hostresource mib
* 2018-02-06 7.0.0.5
  fix a bug in hostresourcesmib memory calc. (arista eos)
* 2018-02-08 7.0.0.5
  update glplugn, add modes encode/decode, rfc3986
* 2018-01-23 7.0.0.4
  merge pull request #164 (simonmeggle)
  add bluecoat asg fix from Stefan Kublik
* 2018-01-12 7.0.0.3
  check the clock of checkpoint fw
* 2018-01-11 7.0.0.2
  fix a bug in checkpoint vpn-status
* 2018-01-08 7.0.0.1
  update glplugin
* 2018-01-05 7.0
  code improvements, fix hh3c entities
* 2017-12-27 6.4.4.1
  fix f5 versions
* 2017-12-21 6.4.4
  add interface-duplex
* 2017-12-15 6.4.3.3
  fix a bug in vsx-firewall1-fork
* 2017-12-14 6.4.3.2
  update glplugin
* 2017-12-14 6.4.3.1
  update glplugin
* 2017-12-12 6.4.3
  add checkpoint ha-status, fix checkpoint vpn-status
* 2017-11-27 6.4.2.3
  rewrite pretty_sysdesc
* 2017-11-23 6.4.2.2
  updateGLPlugin (remove session timeout)
* 2017-11-20 6.4.2.1
  updateGLPlugin
* 2017-11-03 6.4.2
  implement pool-completeness for f5-gtm-pools (--role gtm)
* 2017-09-29 6.4.1.7
  ignore dummy filesystems in HOSTRESOURCEMIBS
* 2017-09-23 6.4.1.6
  get ospf table twice if a 2nd contect exists
* 2017-09-22 6.4.1.5
  update GLPlugin (use 2nd context for OSPF)
* 2017-09-21 6.4.1.4
  fix interface-stack-status, arista's ifStackTable was buggy
* 2017-09-18 6.4.1.3
  blacklist l3 routing card (and power supply) if a nexus is used as l2 switch
* 2017-09-16 6.4.1.2
  workaround for CSCuv18572
* 2017-09-13 6.4.1.1
  fix hostresourcemib, interface sit0 can be down by default
  (is disabled in Cisco UC)
* 2017-08-25 6.4.1
  add vpn-status for checkpoint
* 2017-08-25 6.4.0.4
  fix brocade aliasing in interface-status
* 2017-08-24 6.4.0.3
  fix brocade alias aliasing
* 2017-08-24 6.4.0.2
  update glplugin, sw-mib fix
* 2017-08-24 6.4.0.1
  replace empty ifAlias with swFCPortName for FabOS (Brocade) devices
  merge pr #147, thanks arigaud. skip undef temperatured of foundry devices
  implement eltex gear (pull request #144)
  fix a perl-undef in Juniper BGP (pull request #143)
  nsPowerDesc can be null (pullrequest #134)
* 2017-08-07 6.3.0.8
  fix C3750 redundant power supplies
* 2017-08-04 6.3.0.7
  fix undefined thresholds in arista sensors
* 2017-07-17 6.3.0.6
  fix false positives in cisco ethernet service modules SM-ES3G-24-P
  allow mitigation of cisco disabled catalyst power supplies
* 2017-06-28 6.3.0.5
  allow mitigation of a subLayerDown stack
* 2017-06-20 6.3.0.4
  update GLPlugin (lcos-mib)
* 2017-06-19 6.3.0.3
  ring redundancy is ok if the stack has only one member
* 2017-06-09 6.3.0.2
  fix a bug in f5 member connections (Thanks Yannick Charton)
  skip ifIndex in interface-stack-status (makes nexus crash)
* 2017-06-07 6.3.0.1
  update glplugin
* 2017-06-01 6.3
  update glplugin
  add Lancom
* 2017-05-19 6.2.2.3
  workaround for ios 12.x and buggy ifstacktable
* 2017-05-17 6.2.2.2
  and fix list-interfaces...
* 2017-05-17 6.2.2.1
  fix --name for non-uinique indices
* 2017-05-17 6.2.2
  add an index to ifDescr which have no unique names
* 2017-05-15 6.2.1.5
  GLPlugin update
* 2017-05-12 6.2.1.4
  GLPlugin update
* 2017-05-12 6.2.1.3
  fix a bug in interface-health
* 2017-05-12 6.2.1.2
  fix a bug in interface-availability
* 2017-05-09 6.2.1.1
  fix interface etherstats, stacks
  add fortigate disks
* 2017-05-03 6.2.0.2
  fix a bug in interface-health and 10GE ports.
* 2017-04-26 6.2.0.1
  use carrier if operstatus is unknown for linuxlocal interfaces
  add dummy speed to linux virtio interfaces
* 2017-04-18 6.2.0
  add support for junox bgp with ipv6, thanks dupondje
  fix a bug in bluecoat, allow warningx now
* 2017-04-15 6.1.1
  support Brocade Ironport and enhance FOUNDRY-SN-AGENT-MIB
* 2017-04-13 6.1.0.3
  reverse hrStorage mem thresholds
* 2017-03-30 6.1.0.2
  fix a bug in 64bit interface-usage (Thanks Julian)
* 2017-03-27 6.1.0.1
  pdate GLPlugin
* 2017-03-25 6.1
  update entity-sensor-mib
* 2017-03-24 6.0.2.3
  bugfixes in interface etherstats
* 2017-03-22 6.0.2.2
  bugfix in etherstats for 32bit
  better error message for no access points found
  replace continue by next. failed on older distributions
* 2017-03-20 6.0.2.1
  fix brocade fabos cpu/memory with MAPS installed
* 2017-03-19 6.0.2
  improve interface-etherstats
* 2017-03-10 6.0.1.4
  update GLPlugin
* 2017-03-03 6.0.1.3
  fix uninitialized-bug
* 2017-03-03 6.0.1.2
  special treatment for counterless StackSub interfaces
* 2017-03-03 6.0.1.1
  Merge pull request #126 from ciscoqid/patch-1
* 2017-03-02 6.0.1
  remove steelhead prettyprint
* 2017-02-24 6.0
  cisco chassis check snmp tuning
  fix cisco-envmon-mib
  nxos hardware check snmp tuning
  fix cisco wlan no-ap clustercheck
  detect more f5 models
  add f5 wide ip check
  improve host-resource-mib
  speedup interface checks
  add interface-etherstats
  add ha-status for juniper vsd members
  customer release #12.2a
  add mode interface-stack-status
  add riverbed steelhead
* 2017-02-10 5.13
  bugfix in f5 output message
  make f5 perfdata labels more consistent
  checkpoint multicore. Thanks Peter Hanraets
* 2017-01-28 5.12.0.5
  fix pool checks for big-ip 12.x (thanks abzeidler)
* 2017-01-27 5.12.0.4
  fallback to ios if cisco wlc has no cpu/mem oids
  bugfix in chassis-hardware-health delta of ports
  bugfix in chassis-hardware-health duplicate fan output
* 2017-01-27 5.12.0.3
  fix cisco wlc ap admin status
* 2017-01-26 5.12.0.2
  detect more cisco wireless controllers
* 2017-01-18 5.12.0.1
  update GLPlugin (uptime)
* 2017-01-11 5.12
  detect checkpoint gaia
* 2016-12-28 5.11.3
  detect more hp procurve switches (J9624A etc. may need new firmware revision RA.16.02.0012, ROM RA.15.13)
* 2016-12-19 5.11.2.5
  /dev/md on Juniper srx is considered as procfs
* 2016-12-19 5.11.2.4
  fix performance labels for HOSTRESOURCESMIB dev filesystems
* 2016-12-14 5.11.2.3
  optimize uptime, no bulk for brocade sensors
* 2016-12-12 5.11.2.2
  bluecoat disk usage can be overridden with own thresholds
* 2016-12-12 5.11.2.1
  add JUNIPER-MIB
* 2016-12-12 5.11.2
  fix in cisco asr lsmpi memory
  skip thresholds for dev filesystem in HOSTRESOURCESMIB
* 2016-12-06 5.11.1
  detect juniper pulse secure
  juniper srx temperatures and leds
* 2016-11-29 5.11
  reverse usage/free in hostresourcemib memory-usage, so the same thresholds can be use for every kind of device
  mv juniper-mib to glplugin
  add etherstats
* 2016-11-09 5.10.0.1
  fix nexus sensor perfdata, metrics without thresh. were not shown (Thanks Dennis Knecht)
* 2016-10-29 5.10
  add smart-home-device-temperature, add Comet DECT
* 2016-10-19 5.9.0.1
  fix memory-usage for Catalyst L3 (which have empty CISCO-ENHANCED-MEMPOOL-MIB)
* 2016-10-10 5.9
  add arista
  add cisco small business
* 2016-09-30 5.8.1
  add mode count-accesspoint-clients for cisco wlc
* 2016-09-20 5.8.0.2
  don't use | in interface-availability ascii output for notifications
* 2016-09-19 5.8.0.1
  fix pull request #107 (this was the last pull request i will accept for this plugin. sorry, if you are not able to test your contributions, go away)
* 2016-09-19 5.8
  update ucd-diskio, cumulus
* 2016-08-12 5.7.1.4
  update GLPlugin/Extraopts
* 2016-07-07 5.7.1.3
  remove trailing Nul from Bintec memories
* 2016-07-07 5.7.1.2
  Bintec doesn't like bulk requests
* 2016-06-16 5.7.1.1
  repair a pull request. 
* 2016-05-30 5.7.1
  update GLPlugin
* 2016-05-28 5.7.0.3
  bugfix in nortel hardware-checks. (Thanks trentasis)
* 2016-05-17 5.7.0.2
  Do not check UCDMIB swap when there is no swap
* 2016-05-14 5.7.0.1
  fix a typo in a filename (Thanks vifino)
* 2016-05-10 5.7
  add Bintec Bibo (1202)
  add Cisco ASA mode ha-role (including cluster-health check)
* 2016-05-10 5.6.1
  fix detection of Pulse Secure Gateways
* 2016-05-06 5.6
  more dhoffend pull requests (linux ucdmib memory, lmsensors)
* 2016-05-02 5.5
  add vrrp-modes
  dhoffend pull requests (linux ucdmib, lsmpio bugfix, hsrp multiple roles)
* 2016-03-29 5.4
  add CISCO-STACKWISE-MIB
  add processor index in cisco enhanced memory
* 2016-03-11 5.3.3
  Use 64bit-counters from cisco-enhanced-mempool-mib if available (cisco bug CSCuu46705)
  Merge pull request #61 from Napsty/checkpoint-mgmt
  Merge pull request #67 from Napsty/list-detail-alias
  Simplify interface code
* 2016-02-29 5.3.2
  Merge pull request #64 Claudio Kuenzler
* 2016-02-25 5.3.1
  bugfix in --ifspeed
* 2016-02-16 5.3
  add mode chassis-hardware-health (for cisco)
* 2016-02-16 5.2.2
  update checkpoint, use new mib
  fallback if no cisco cpu index can be found
* 2016-02-15 5.2.1
  refactor interface-usage, bugfix in list-interfaces
  bugfix in link-aggregation-availability thresholds
* 2016-02-09 5.2
  fix cisco bgp prefix count if no peers were found
  small fix in interfaces, add flat_indices
  bugfix in entity-sensor-mib
  add glplugin submodule (Thanks k0ste)
  pr #52 cisco-alarm-mib parse octets (Thanks dhoffend)
* 2015-12-20 5.1
  Fix IOS-XE which no longer support the ENVMON MIB. Use FRU MIB instead. (Zhanks Daniel Hoffend, pull request #49)
* 2015-11-24 5.0
  introduce new units (based on 1000 instead of 1024), will have an impact on interface perfdata thresholds
* 2015-11-24 4.8
  add Huawei CloudEngine
  pull request #45 chomp Checkpoint HA state (Thanks Claudio Kuenzler)
  pull request #46  Add CheckPoint Power Supply Check (Thanks Claudio Kuenzler)
* 2015-11-18 4.7.1
  detect CheckPoint IPSO (Thanks Claudio Kuenzler)
* 2015-11-05 4.7
  fix standalone version
* 2015-10-22 4.6.1
  add --mode interface-health to linux, solaris, windows
  find more bluecoat models
* 2015-10-02 4.6
  add --mode interface-health
* 2015-09-29 4.5
  merge huawei h3c from lazyfrosch-hh3c-switches
  output ifAlias in interface-modes (if it exists and != ifDescr)
* 2015-09-06 4.4
  add rapid-city-mib
  add entity-mib for cisco asa
* 2015-08-18 4.3.1
  add ha-role for Aruba
* 2015-08-17 4.3
  add Alcatel OmniAccess (Aruba)
* 2015-08-17 4.2.1
  GLPlugin update
* 2015-07-31 4.2
  pull request #36. bugfix in cisco asyncos keys (Thanks Frank Meischner)
  pull request #25. cisco check-config more useful. (Thanks mhoogveld)
  add Nortel S5-CHASSIS-MIB, works for 4526GTX
  add OneAccess OneOS
  add Solaris local interfaces
  GLPlugin update
* 2015-07-03 4.1
  add --count-bgp-prefixes for cisco
* 2015-06-28 4.0
  --disable-standalone
  add --watch-bgp-peers
  add --reset for watch-bgp-peers
  bugfix in f5-pool-checks, where oids are not available during a transition"
* 2015-06-25 3.5.4
  allow --name dest/cidr for mode count-routes
* 2015-06-22 3.5.3
  fix a bug in f5 member connection limit noSuchInstance
  add mode count-routes (find mpls problems)
  add mode count-bgp-peers
* 2015-05-06 3.5.2
  add --community2 (necessary if there are different ospf contexts)
  raise max-repetitions for table-bulk-requests (large number of interfaces)
* 2015-04-19 3.5.1
  add LM-SENSOR-MIB
  bugfix in thresholds of morphed performancedata
* 2015-04-09 3.5
  implement ospf and modes ospf-neighbor-status and list-ospf-neighbors
* 2015-03-29 3.4.4.3
  separate discards from errors in linuxlocal
* 2015-03-03 3.4.4.2
  combine pool-connections and pool-completion for f5
  finish pool-complections
* 2015-02-28 3.4.4.1
  detect (not implement!) netgear
* 2015-02-26 3.4.4
  add mode pool-connections for f5
* 2015-02-19 3.4.3
  allow mitigation of admin down bgp peer
  add morphperfdata
* 2015-01-30 3.4.2.8
  bugfix in GLPlugin (multiple --negate)
* 2015-01-28 3.4.2.7
  more trailing null cleanup. (Thanks Jörg Linge)
* 2015-01-27 3.4.2.6
  bugfix in interface-usage windows+snmp+trailing null in ifDescr. (Thanks Jörg Linge)
* 2015-01-14 3.4.2.5
  bugfix in interface-status and snmp-table-get (no more false 64bit interfaces)
* 2015-01-08 3.4.2.4
  shorten interface-output with report=short
* 2015-01-05 3.4.2.3
  fix a perl-bug in F5 (was introduced in 3.4.2)
* 2015-01-02 3.4.2.2
  fix lsmpi_io for cisco asr1000 (Thanks Andreas Schulz)
  fix Fritz!Box upnp control url (Thanks Bernd)
* 2014-12-23 3.4.2.1
  use fallbacks to find fexes (cefexConfigTable may not be populated)
* 2014-12-16 3.4.2
  use cefexConfigTable for mode watch-fexes
  bugfix in cisco nexus sensors (had undef perl warnings)
* 2014-12-12 3.4.1
  bugfix in bluecoat hardware (skip perfdata of missing psus)
* 2014-12-11 3.4
  add vpn-status for cisco asa
* 2014-12-08 3.3
  add windowslocal
* 2014-12-06 3.2.2
  unique names for cisco cpus pointing to the same physical entity
* 2014-11-29 3.2.1
  remove unnecessary use statement
  finalize paloalto ha
  make list-interfaces and update-cache faster
* 2014-11-18 3.2.0.1
  hide some debug printfs
* 2014-11-10 3.2
  add palo alto hardware, sensors, ha
  make nexus cpu names unique
* 2014-11-02 3.1.1
  bugfix my-modes
  add paloaltomib
* 2014-09-26 3.1
  add Clavister Firewall (Thanks Dirk Goetz)
  fix GLPluginSNMP, all timeout-like errors are UNKNOWN
  allow warningx/criticalx to override cisco sensor thresholds
* 2014-09-55 3.0.4
  bugfix in glplugin (tmp-file-paths wrong under epn) (Thanks Sven Nierlein)
* 2014-09-15 3.0.3.9
  bugfix in bgp error states (Thanks Matthias Gallinger)
  bugfix in f5 pools (Thanks Sven Nierlein)
* 2014-08-28 3.0.3.8
  bugfix in interface-usage/ifspeed (Thanks Matthias Gallinger)
* 2014-08-26 3.0.3.7
  bugfix in glpluginsnmp (undef errors with loadbalacer index)
* 2014-08-25 3.0.3.6
  bugfix in glpluginsnmp / (fritzbox cpu undef-error)
* 2014-08-22 3.0.3.5
  bugfix in glplugin/uptime because of buggy snmpengineuptime
* 2014-08-21 3.0.3.4
  bugfix in glplugin/uptime thresholds
* 2014-08-21 3.0.3.3
  add a hack with --name2 which allows shortening of stupid interface names (make dmz1 from Adaptive Security Appliance 'dmz1' interface)
* 2014-08-20 3.0.3.2
  update GLPluginSNMP (timeout handling)
* 2014-08-20 3.0.3.1
  fix interfaces which seem to be 64bit but have no counters
* 2014-08-19 3.0.3
  bugfix in offline mode
  update GLPlugin
  update GLPluginSNMP
* 2014-08-15 3.0.2.2
  bugfix in ios memory criticalx/warningx thresholds
* 2014-08-14 3.0.2.1
  update GLPluginSNMP
* 2014-08-14 3.0.2
  improve interface-usage performance data
  detect more brocade models
* 2014-08-13 3.0.1
  bugfix in interface-usage temp-files
* 2014-08.01 3.0
  jetzt langts mit der ridiseignerei
* 2014-03-17 3.0x
  massive rewriting of the plugins structure and modules
  repair malformed data returned by Net::SNMP
  add interface-nat-rejects and interface-nat-session-count for IOS
  add hardware-health for cisco asa
  bugfix for old brocade devices and missing cpu/memory oids
  bugfix in Cisco Call Manager
  bugfix in IOS Memory for ASR 9000 image and reserved pool
  bugfix in cisco wlc status
  add hardware-health for cisco pix
  add mode supportedmibs
  last fallback alarm-mib for ios without envmon-mib
  bugfix in timeticks for hp
  bugfix in Nexus sensor thresholds (Thanks Marcel Fischer)
  bugfix in snmp-bulk-gets, more secure fallbacks to get-next
  bugfix in 64bit-interfaces
  GLPlugin update & cleanup
  get uptime from the FRAMEWORK-MIB to prevent rollovers
* 2014-02-07 2.6.5.2
  add another cisco unified communication model
* 2014-01-31 2.6.5.1
  handle a missing brocade fabric watch license in cpu-load & memory-usage
  add CISCO-ENHANCED-MEMPOOL-MIB
* 2014-01-24 2.6.5
  add mode --check-config, which finds unsaved (cisco only) configs (Thanks Simon Meggle)
* 2014-01-18 2.6.4.3
  bugfix in uptime (Thanks Finn Christiansen)
* 2014-01-15 2.6.4.2
  add http connection checks for bluecoat sg
* 2014-01-14 2.6.4
  add cisco ccm
* 2014-01-11 2.6.3.1
  support more SecureOS devices (i bought Juniper SSG5)
  bugfix in upnp-detection 
* 2013-12-21 2.6.3
  output number of sessions for f5 bigip load balancer pools
  deal with obviously wrong values from devices (20000% cpu usage)
  foundry server load balancing
  bugfix in interface-* for Juniper IVE
  filter hsrp groups by name
* 2013-11-08
  added support for role based login for Fritz Boxes (available since 
  FRITZ!OS 5.50). Use --community for password, --username for username if
  role based security is switched on.
* 2013-11-09
  bugfix for fritzbox
* 2013-11-08 2.6.1
  hardware-health for Checkpoint Firewall-1
* 2013-11-07 2.6
  finished bgp-peer-status (focus on as numbers with --name2)
  admin down with --interface-status can have any level with --mitigation
* 2013-10-31 2.5.4.1
  add Fujitsu Intelligent Blade Panel 30/12
* 2013-10-30 2.5.4
  add bgp
* 2013-10-01 2.5.3
  detect more brocade devices 
* 2013-09-26 2.5.2.1
  supress double output for html f5 pool members
* 2013-09-25 2.5.2
  add html output for f5 pool members
* 2013-09-18 2.5.1.2
  removed a leftover Data::Dumper (Thanks Frank Belau)
* 2013-09-17 2.5.1.1
  bugfix in lsmpi_io memory pools of Cisco ASR (100% even with --warning/--critical)
* 2013-09-11 2.5.1
  set a 100% threshold for lsmpi_io memory pools of Cisco ASR (Thanks James Clark & Perun)
* 2013-09-10 2.5
  implemented offline mode with --snmpwalk & --offline
* 2013-09-03 2.4
  add Cisco IronPort AsyncOS
* 2013-08-27 2.3
  add Juniper IVE (ex. Pulse-Gateway MAG4610)
  add count-connections for cisco asa
* 2013-07-11 2.2
  add memory-usage for checkpoint
  add detection for cpx
* 2013-07-09 2.1.1
  skip non-interface files in /sys/class/net for servertype linuxlocal (Thanks Sven Nierlein)
  better error handling on unwritable statefiles/dirs
* 2013-06-12 2.1
  added "--servertype ifmib" so you can use "--mode interface*" with every kind of ifmib-capable device
* 2013-06-01 2.0
  added support for AVM FRITZ!DECT 200 smart plug
* 2013-05-27 1.9.8.1
  bugfix for the bugfix in commandline options (Thanks webspace Mario)
* 2013-05-23 1.9.8
  add Brocade Communications Systems, Inc. ICX6610-24-HPOE, IronWare 
  bugfix in commandline options (Thanks TheCry)
* 2013-05-17 1.9.7.4
  added another fallback for snmp-get_entries
  fixed a bug in uptime (only first minute after reboot)
* 2013-04-20 1.9.7.3
  fixed a bug in snmpwalk simulation and savestate
* 2013-04-08 1.9.7.2
  bugfix, interfaces were shown twice in list-interfaces
* 2013-03-26 1.9.7.1
  set automatic thresholds for link-aggregation-availability
* 2013-03-25 1.9.7
  added link-aggregation-availability
* 2013-03-19 1.9.6
  fixed a bug in interface-*
  speedup in interface-* (with --name and 64bit)
  added a hostname/community hash to statefiles
* 2013-02-13 1.9.5.1
  fixed a bug deep inside snmp bulkwalks and lots of interfaces (Thanks Uestuen Oender)
* 2013-02-24 1.9.5
  add interface-availability
* 2013-02-11 1.9.4
  add Cisco Wireless LAN Controller 5500 
* 2013-02-11 1.9.3.1
  fixed a bug in statefiles with uppercase directory names. (Thanks Matthias Gallinger)
* 2013-02-10 1.9.3
  add blue coat sg600
* 2013-02-02 1.9.2
  removed my static ip from FRITZ!BOX interface-usage (Thanks Stef)
* 2013-01- 1.9.1
  fixed a bug in FFritz!BOX uptime (Thanks Lars Urban)
3013-01 1.9
  add uptime and interface-usage for AVM FRITZ!Box 7390
  add cpu-load and memory-usage for AVM FRITZ!Box 7390
* 2013-01-13 1.8
-add cpu&memory check for juniper netscreen
* 2013-01-12 1.7.1
  add a name caching mechanism for f5 bigip pools
* 2013-01-08 1.7
  add f5 bigip pool completeness
  add member info for failed f5 pools
* 2012-12-10 1.6
  add checkpoint firewall-1
* 2012-11-23 1.5
  add 64bit interfaces
* 2012-09-26 1.4.9.1
  fix a bug in uptime calculation
* 2012-09-24 1.4.9
  add hp procurve cpu-load and memory-usage
  fix a bug in cisco memory perfdata
* 2012-08-28 1.4.8
  add hp procurve hardware
* 2012-08-21 1.4.7.1
  fix a bug in servertype locallinux, interfaces and --name (Thanks Simon Meggle)
* 2012-08-21 1.4.7
  add f5 bigip
  bugfix in mode uptime
* 2012-08-10 1.4.6
  add mode uptime
* 2012-08-10 1.4.5.2
  fix a bug in statefilesdir creation under omd
* 2012-08-02 1.4.5.1
  add more hardware info for EMC-DS24M2 (McData Sphereon 4500)
* 2012-07-31 1.4.5
  add UCD-MIB for SecureOS (McAfee Sidewinder)
* 2012-07-31 1.4.4
  add fibre alliance mib sensor table for MeOS/DS-4700M
* 2012-07-20 1.4.3.1
  add the index to interface names, if interfaces all have the same name
  first experiments with MeOS
* 2012-07-12 1.4.3
  fix a bug in the role parameter for hsrp
  fix a temperature index where ios doesn't set the counter itself
  add mib2-interface-modes to brocade fabos
* 2012-07-05 1.4.2
  add mode encode for interface names with ' or "
* 2012-07-05 1.4.1
  add --ifspeedin, --ifspeedout, --ifspeed (used for asymmetric mpls)
* 2012-06-22 1.4
  add linux local interfaces (interface-usage/errors only) with --servertype linuxlocal
  add mode walk
  rename brocade300 -> fabos
* 2012-04-23 1.3
  add mode list-interfaces-detail (Cisco only)
  add brocade300 (hardware-health,memory-usage,cpu-load only)
* 2012-03-29 1.2
  add support for Cisco Nexus (cpu, mem, )
  add Nexus sensors
  add Allied Telesyn (only interfaces so far)
* 2012-03-19 1.1.1.1
  bugfix in list-hsrp-groups
  --units KBi/MBi/GBi for interface-usage
* 2012-02-22 1.1.1
  add mode hsrp-failover (Thanks Munich)
* 2012-02-22 1.1
  add mode hsrp-state (Thanks Munich)
* 2012-01-05
  some more debug messages
* 2012-01-04 1.0
  Nortel devices are recognized. (only interfaces can be queried by now)
  no official changes yet
